package com.chenyang.nse.bussiness.entity.cache;

import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseGroup;
import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseMenu;
import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseResource;
import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseRole;
import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseUser;
import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseUserproject;
import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseUsersys;
import com.chenyang.nse.bussiness.entity.orm.table.console.TConsoleSystemSetting;
import java.util.List;
import java.util.Map;

public class LoginUser {
   private String flag;
   private String prefix;
   private TBaseUser tsysUser;
   private TBaseGroup tsysGroup;
   private List<TBaseRole> trole;
   private List<TBaseMenu> menus;
   private List<TBaseUsersys> syss;
   private List<TBaseUserproject> projects;
   private Map<String, TBaseResource> urlMap;
   private List<String> privileges;
   List<TConsoleSystemSetting> tcssLst;
   private String token;
   private Boolean licenseRst;

   public List<TConsoleSystemSetting> getTcssLst() {
      return this.tcssLst;
   }

   public void setTcssLst(List<TConsoleSystemSetting> tcssLst) {
      this.tcssLst = tcssLst;
   }

   public String getFlag() {
      return this.flag;
   }

   public void setFlag(String flag) {
      this.flag = flag;
   }

   public String getPrefix() {
      return this.prefix;
   }

   public void setPrefix(String prefix) {
      this.prefix = prefix;
   }

   public TBaseUser getTsysUser() {
      return this.tsysUser;
   }

   public void setTsysUser(TBaseUser tsysUser) {
      this.tsysUser = tsysUser;
   }

   public TBaseGroup getTsysGroup() {
      return this.tsysGroup;
   }

   public void setTsysGroup(TBaseGroup tsysGroup) {
      this.tsysGroup = tsysGroup;
   }

   public List<TBaseRole> getTrole() {
      return this.trole;
   }

   public void setTrole(List<TBaseRole> trole) {
      this.trole = trole;
   }

   public List<TBaseMenu> getMenus() {
      return this.menus;
   }

   public void setMenus(List<TBaseMenu> menus) {
      this.menus = menus;
   }

   public Map<String, TBaseResource> getUrlMap() {
      return this.urlMap;
   }

   public void setUrlMap(Map<String, TBaseResource> urlMap) {
      this.urlMap = urlMap;
   }

   public List<String> getPrivileges() {
      return this.privileges;
   }

   public void setPrivileges(List<String> privileges) {
      this.privileges = privileges;
   }

   public List<TBaseUsersys> getSyss() {
      return this.syss;
   }

   public void setSyss(List<TBaseUsersys> syss) {
      this.syss = syss;
   }

   public List<TBaseUserproject> getProjects() {
      return this.projects;
   }

   public void setProjects(List<TBaseUserproject> projects) {
      this.projects = projects;
   }

   public String getToken() {
      return this.token;
   }

   public void setToken(String token) {
      this.token = token;
   }

   public Boolean getLicenseRst() {
      return this.licenseRst;
   }

   public void setLicenseRst(Boolean licenseRst) {
      this.licenseRst = licenseRst;
   }
}
